package com.steerinfo.baseinfo.meterbasescalepoint.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasescalepoint.model.MeterBaseScalePoint;
import com.steerinfo.framework.service.pagehelper.PageList;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * MeterBaseScalePoint服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-05 06:15
 * 类描述
 * 修订历史：
 * 日期：2020-06-05
 * 作者：generator
 * 参考：
 * 描述：MeterBaseScalePoint服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseScalePointService extends IBaseService<MeterBaseScalePoint, String>{
     String checkandadd(MeterBaseScalePoint model);

     String Recovery(List<MeterBaseScalePoint> models);

     String abolish(List<MeterBaseScalePoint> models);

     String checkandupdate(String id,MeterBaseScalePoint model);

    List<MeterBaseScalePoint> queryAll(Map<String,Object> parmas);

    PageList<MeterBaseScalePoint> notIncludedLonXi(Map<String, Object> params, Integer pageNum, Integer pageSize);

    /**
     * 数据修改
     * @param model
     * @return
     */
    String doUpdateWf(MeterBaseScalePoint model);
}